# AddObjectActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A AddObjectActuator is a special kind of a general actuator More...

`#include <addobjectactuator.h>`

Inherits: Actuator

## Public Members

- AddObjectActuator ()
- ~AddObjectActuator ()
- PyObject* setObject (char* name)
- PyObject* getObject ()
- PyObject* setTime (int duration)
- PyObject* getTime ()
- PyObject* setLinearVelocity (float vx, float vy, float vz)
- PyObject* getLinearVelocity ()

## Detailed Description

A AddObjectActuator is a special kind of a general actuator.

## PyObject* setObject(char* name)

Sets the object that will be added. There has to be an object of this name. If not, this function does nothing.

## PyObject* getObject()

Returns the name of the object that will be added.

## PyObject* setTime(int duration)

Sets the lifetime of the object that will be added, in frames. If the duration is negative, it is set to 0.

## PyObject* getTime()

Returns the lifetime of the object that will be added.

## PyObject* setLinearVelocity(float vx, float vy, float vz)

Assign this velocity to the created object.

## PyObject* getLinearVelocity()

Returns the linear velocity that will be assigned to the created object.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc